#include <perms.h>

                                                                //      1  %begin
#line 1 "regression-compile-tmp/testprocparam.imp"
int main(int argc, char **argv) {
  _imp_initialise(argc, argv);
/* Procedure parameter. probably no args given yet. */                                                                //      2    %routine do(%integerfn fn(%integer p,q,r))
#line 2 "regression-compile-tmp/testprocparam.imp"
void DO( int FN( 